Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.log
Class LoadTestLog

    java.lang.Object
      javax.swing.AbstractListModel
          com.eviware.soapui.impl.wsdl.loadtest.log.LoadTestLog

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, javax.swing.ListModel

    public class LoadTestLog

extends javax.swing.AbstractListModel
implements java.lang.Runnable

Log for LoadTest events

Author:
  Ole.Matzura
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`LoadTestLog(WsdlLoadTest loadTest)`

Method Summary
`void` | `addEntry(LoadTestLogEntry entry)`
`void` | `clear()`
`void` | `clearEntries(TestStep testStep)`
`void` | `clearErrors()`
`java.lang.Object` | `getElementAt(int index)`
`int` | `getErrorCount(java.lang.String stepName)`
`WsdlLoadTest` | `getLoadTest()`
`int` | `getSize()`
`void` | `release()`
`void` | `run()`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadTestLog

    public LoadTestLog(WsdlLoadTest loadTest)

Method Detail

### release

    public void release()

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### addEntry

    public void addEntry(LoadTestLogEntry entry)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### clear

    public void clear()

### clearErrors

    public void clearErrors()

### clearEntries

    public void clearEntries(TestStep testStep)

### getLoadTest

    public WsdlLoadTest getLoadTest()

### getErrorCount

    public int getErrorCount(java.lang.String stepName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.